/**
 * al2-checkbox
 *
 * @author Rob Parker <robert.parker@alertlogic.com>
 *
 * @copyright Alert Logic, Inc 2021
 *
 */
import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class AlChkboxComponent implements OnInit, ControlValueAccessor {
    ngControl: NgControl;
    label: string;
    id: string;
    name?: string;
    checked: boolean;
    disabled: boolean;
    indeterminate: boolean;
    verticalSpace: boolean;
    onCheckedChange: EventEmitter<boolean>;
    constructor(ngControl: NgControl);
    get control(): import("@angular/forms").AbstractControl;
    ngOnInit(): void;
    onChanged: any;
    onTouched: any;
    onValueChange(newValue?: boolean): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(val: boolean): void;
    setIndeterminateState(val: boolean): void;
    static ɵfac: i0.ɵɵFactoryDef<AlChkboxComponent, [{ optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlChkboxComponent, "al2-checkbox", never, { "label": "label"; "id": "id"; "name": "name"; "checked": "checked"; "disabled": "disabled"; "indeterminate": "indeterminate"; "verticalSpace": "verticalSpace"; }, { "onCheckedChange": "onCheckedChange"; }, never, never>;
}
